#include <stdio.h>

void podela(unsigned long int u,unsigned long long int bananice,unsigned long int g){
  unsigned long long int uk;
  //int manja=((u/g)*(u/g+1)/2);
  //int veca=((u/g+1)*(u/g+2)/2);
  //printf("%d %d",manja,veca);
  uk=((u/g+1)*(u/g+2)/2)*(u%g)+((u/g)*(u/g+1)/2)*(g-u%g);

  if(uk<=bananice){
    printf("Tak\n");
  }
  else{
    printf("Nie\n");
  }
}

int main(void) {
  int t;
  scanf("%d",&t);
  unsigned long int arru[10];
  unsigned long long int arrb[10];
  unsigned long int arrg[10];

  for(int i=0;i<t;i++){
    scanf("%ld %lld %ld",&arru[i],&arrb[i],&arrg[i]);
  }
  for(int i=0;i<t;i++){
    podela(arru[i],arrb[i],arrg[i]);
  }

}